Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.input
Class SvnXmlCacheFileHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          net.sf.statsvn.input.SvnXmlCacheFileHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class SvnXmlCacheFileHandler

extends DefaultHandler

This is the SAX parser for the our line count persistence mechanism. It feeds information to (@link net.sf.statsvn.input.LineCountsBuilder).

Version:
  $Id: SvnXmlCacheFileHandler.java 351 2008-03-28 18:46:26Z benoitx $
Author:
  Gunter Mussbacher

Constructor Summary
`SvnXmlCacheFileHandler(CacheBuilder cacheBuilder)` Default constructor

Method Summary
`void` | `endElement(String uri, String localName, String qName)` Handles the end of an xml element and redirects to the appropriate end* method.
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` Handles the start of an xml element and redirects to the appropriate start* method.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnXmlCacheFileHandler

    public SvnXmlCacheFileHandler(CacheBuilder cacheBuilder)

  Default constructor

  Parameters:
    `cacheBuilder` - the cacheBuilder to which to send back line count information.

Method Detail

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Handles the end of an xml element and redirects to the appropriate end* method.

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`
  Throws:
    `SAXException` - unexpected event.

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Handles the start of an xml element and redirects to the appropriate start* method.

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException` - unexpected event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD